﻿using StudentManager.Event;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StudentManager.Extensions
{
	internal static class DialogExtensions
	{
		public static void ResgiterMessage(this IEventAggregator aggregator, Action<string> message)
		{
			aggregator.GetEvent<MessageEvent>().Subscribe(message);
		}

		public static void SendMessage(this IEventAggregator aggregator, string message)
		{
			aggregator.GetEvent<MessageEvent>().Publish(message);
		}
	}
}
