﻿using StudentManager.Data;
using StudentManager.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StudentManager.Common
{
	public class FileSystem : Singleton<FileSystem>
	{
		public Action AutoSaveInvoke {  get; set; }




		public void SaveAll()
		{
			StudentLib.Save();
			QuestionLib.Instance.Save();
		}

		public void FreashAllInfo()
		{
			StudentLib.FreshAllStudentInfo();
			QuestionLib.Instance.FreshAllQuestion();

			SaveAll();
		}

		public async void AutoSave(int time = 1)
		{
			await Task.Delay(time * 60 * 1000);
			AutoSaveInvoke?.Invoke();

			await Task.Delay(10000);
			SaveAll();

			AutoSave(time);
		}
	}
}
