﻿using DryIoc.ImTools;
using StudentManager.Data;
using StudentManager.Interface;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Security.Cryptography.X509Certificates;
using System.Text;
using System.Threading.Tasks;

namespace StudentManager.Common
{
	public class HomeWorkError
	{
		public int Total { get; set; }
		public int Error { get; set; }
		public int Correct { get; set; }
	}


	public class HomeWorkManager : Singleton<HomeWorkManager>
	{
		public HomeWorkError PublicHomework(uint lesson, bool appedCommonWork = false, bool appendErrorSet = false, int workNum = -1)
		{
			HomeWorkError error= new HomeWorkError();
			foreach (var item in StudentLib.StudentDic)
			{
				if (item.Value.PublicHomeWork(lesson, appedCommonWork, appendErrorSet, workNum))
				{
					error.Total++;
					error.Correct++;
				}
				else
				{
					error.Total++;
					error.Error++;
				}
			}
			return error;
		}

		internal void DeleteHomework(DetailHomeWorkSetInfo homeWork)
		{
			throw new NotImplementedException();
		}
	}
}
